.overlay{
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 60;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    background: rgba(0,0,0,.6);
    -webkit-transition: all .4s;
    transition: all .4s;
    -webkit-backdrop-filter: blur(6px);
    backdrop-filter: blur(6px);
    display: none;
}

.overlay.active{
    display: block;
}


.modal{
    position: absolute;
    font-family: 'Roboto';
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 70;
    padding: 30px 25px;
    width: 420px;
    background-color: $form;
    backdrop-filter: blur(6px);
    border: 1px solid $gray;
    box-shadow: 0 3px 10px 0px #343434;
    border-radius: 3px;
    -webkit-transition: .5s;
    transition: .5s;

    @media only screen and (max-width: 576px) {
        padding: 40px 20px;
        max-width: 95%;
        
    }
}

.overlay.opened{
    z-index: 20;
    opacity: 1;

    .modal{
        z-index: 100;
        -webkit-transform: translateY(0);
        transform: translateY(0);
        opacity: 1;
    }
}

.modal-form {
    position: relative;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    font-weight: 400;
    font-size: 16px;
    line-height: normal;
    color: #fff;
}

.modal-form, .modal-form input {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

.close-btn{
    position: absolute;
    top:-15px;
    background-color: transparent;
    right: -10px;
    -webkit-transition: all .8s;
    transition: all .8s;
    cursor: pointer;

    svg{
        height: 23px;
        width: 23px;
    }

}

.modal-form__title {
    margin-bottom: 15px;
    font-style: normal;
    font-weight: 700;
    font-size: 24px;
    line-height: 30px;
    margin-bottom: 40px;
    font-family: 'Roboto';
    text-align: center;
    color: #fff;
    text-transform: uppercase;

    @media only screen  and (min-width: 280px) and (max-width: 540px) {
        font-size: 24px;
    }
}

.modal-form .modal-form__label {
    text-align: left;
}

.modal-form__label:not(:first-child) {
    margin-top: 10px;
}

.modal-form input {
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    height: 40px;
    padding: 0 10px;
    font-style: normal;
    font-weight: 700;
    font-size: 18px;
    line-height: 24px;
    color: #fff;
    background-color: transparent;
    border: 1px solid #fff;
    border-radius: 3px;

    @media only screen  and (min-width: 280px) and (max-width: 540px) {
        font-size: 18px;
    }
}

input {
    width: 100%;
    outline: 0;

    &::placeholder{
        font-weight: 400;
        font-size: 16px;
        color: #fffefe;
        opacity: 0.8;

        @media only screen  and (min-width: 280px) and (max-width: 540px) {
            font-size: 16px;
        }
    }

}

.checkbox {
    margin-bottom: .2em;
    padding-left: 40px;
}

.checkbox {
    margin: 20px 0 0;

    @media only screen and (max-width: 425px) {
        margin: 0 auto;
        margin-top: 20px;
        position: relative;
    }
}

.custom-checkbox>input {
    position: absolute;
    z-index: -1;
    opacity: 0;
}

.custom-checkbox>span, .custom-checkbox>span a {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 31px;
    color: #fff;

    @media only screen  and (min-width: 280px) and (max-width: 540px) {
        font-size: 16px;
        line-height: normal;
    }
}

.custom-checkbox>span, .custom-checkbox>span {
    @media only screen  and (min-width: 280px) and (max-width: 540px) {
        margin-left: 10px;
        font-size: 16px;
        line-height: normal;
    }

    @media only screen and (max-width: 425px) {
        display: flex;
        flex-direction: column;
    }
}

.custom-checkbox>span::before {
    content: '';
    display: inline-block;
    width: 25px;
    height: 25px;
    -ms-flex-negative: 0;
    flex-shrink: 0;
    -webkit-box-flex: 0;
    -ms-flex-positive: 0;
    flex-grow: 0;
    border: 1.5px solid #fffefe;
    background-color: #fff;
    border-radius: 5px;
    margin-right: .5em;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: 70% 70%;
    position: absolute;
    left: 10px;
    cursor: pointer;

}

.custom-checkbox>span a {
    color: rgb(12, 93, 206);
    font-family: 'Roboto';
    text-decoration: underline;
    margin-left: 4px;
}

.custom-checkbox>input:checked+span::before {
    background-color: #fff;
    background-image: url('../img/checkbox.svg');
}

.result-text {
    color: #fff;
    text-align: left;
    font-size: 18px;
    display: block;
    max-width: 354px;
    margin-top: 15px;
}

#circularG, .select {
    position: relative;
}

#circularG {
    width: 33px;
    height: 33px;
    margin: 10px auto auto;
}

.loader {
    display: none;
}


.loader.active {
    display: block;
}

.circularG {
    position: absolute;
    width: 8px;
    height: 8px;
    background-color: #fff;
    -webkit-animation-name: bounce_circularG;
    animation-name: bounce_circularG;
    -webkit-animation-duration: 1.1s;
    animation-duration: 1.1s;
    -webkit-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
    -webkit-animation-direction: normal;
    animation-direction: normal;
    border-radius: 5px;
}

#circularG_1 {
    top: 13px;
    left: 0;
    -webkit-animation-delay: .41s;
    animation-delay: .41s;
}

#circularG_2 {
    top: 3px;
    left: 3px;
    -webkit-animation-delay: .55s;
    animation-delay: .55s;
}

#circularG_3 {
    top: 0;
    left: 13px;
    -webkit-animation-delay: .69s;
    animation-delay: .69s;
}

#circularG_4 {
    top: 3px;
    right: 3px;
    -webkit-animation-delay: .83s;
    animation-delay: .83s;
}

#circularG_5 {
    top: 13px;
    right: 0;
    -webkit-animation-delay: .97s;
    animation-delay: .97s;
}

#circularG_6 {
    right: 3px;
    bottom: 3px;
    -webkit-animation-delay: 1.1s;
    animation-delay: 1.1s;
}

#circularG_7 {
    bottom: 0;
    left: 13px;
    -webkit-animation-delay: 1.24s;
    animation-delay: 1.24s;
}

#circularG_8 {
    bottom: 3px;
    left: 3px;
    -webkit-animation-delay: 1.38s;
    animation-delay: 1.38s;
}

.modal-form__btn {
    margin: 0 auto;
    font-weight: 700;
    margin-top: 20px;
    width: 80%;
    font-size: 18px;
    color: #fff;
    border: 1px solid #fff;
    border-radius: 20px;
    padding: 10px 5px;
    text-transform: uppercase;
    -webkit-transition: all .4s;
    transition: all .4s;
}

// .modal-form__btn:hover {
//     box-shadow:  0px 0px 2px #ED1C24;
// }

.modal-form__btn:active {
    transform: scale(0.95);
}

.grecaptcha-badge{
    z-index: 100;
}
